> ## Documentation Index
> Fetch the complete documentation index at: https://docs.yorlet.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete a custom domain



## OpenAPI

````yaml openapi-core.json DELETE /v1/email_domains/{id}
openapi: 3.1.0
info:
  title: Yorlet Core API
  description: Core platform APIs including buildings, customers, units, and tasks.
  version: 1.0.0
servers:
  - url: https://api.yorlet.com
    description: Production
  - url: https://api.yorlet.io
    description: Sandbox
security: []
paths:
  /v1/email_domains/{id}:
    delete:
      tags:
        - Email domains
      summary: Delete a custom domain
      operationId: email_domains_delete
      parameters:
        - schema:
            type: string
            description: The id identifier.
          required: true
          description: The id identifier.
          name: id
          in: path
      responses:
        '200':
          description: Returns the deleted email domain.
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                    description: Unique identifier for the object.
                  created:
                    type: number
                    description: >-
                      Time at which the object was created. Measured in seconds
                      since the Unix epoch.
                  account:
                    type: string
                    description: >-
                      The account that the object belongs to. Only returned if
                      the request is made with a valid Yorlet-Context header.
                  deleted:
                    type: boolean
                    default: false
                    description: Only returned if the object has been deleted.
                  object:
                    type: string
                    enum:
                      - email_domain
                  domain:
                    type: string
                    description: The custom domain name.
                  records:
                    type: array
                    items:
                      type: object
                      properties:
                        record:
                          type:
                            - string
                            - 'null'
                        name:
                          type: string
                        type:
                          type: string
                        value:
                          type: string
                        ttl:
                          type: string
                        status:
                          type: string
                        priority:
                          type: number
                      required:
                        - name
                        - type
                        - value
                    description: >-
                      DNS records that must be added at the domain’s DNS
                      provider.
                  status:
                    type: string
                    enum:
                      - pending
                      - verified
                      - failed
                    description: Whether the domain has been verified.
                required:
                  - id
                  - created
                  - object
                  - domain
                  - records
                  - status
      security:
        - ApiKeyAuth: []
components:
  securitySchemes:
    ApiKeyAuth:
      type: apiKey
      in: header
      name: Authorization
      description: API Key authentication. Use "Bearer YOUR_API_KEY".

````